<?php

require 'template/smarty/Smarty.class.php'; //sablony smarty

/**
 * nova třída, která využívá metod ze šablonovacího systému Smarty. Třídu lze snadno přepsat i pro jiné šablonovací systemy, názvy funkcí ve skriptech však zůstávají stejné
 */
class template extends Smarty
{
  /**
   * inicializace Smarty, definování složek  
   */  
  function __construct()
  {
    global $webdoc;
    $this->template_dir = $webdoc["templates_dir"];
    $this->compile_dir = "$webdoc[libraries_dir]template/templates_c";
    $this->cache_dir = "$webdoc[libraries_dir]template/cache";
    $this->config_dir = "$webdoc[libraries_dir]template/configs";
    $this->plugins_dir = array("$webdoc[libraries_dir]template/smarty/plugins","$webdoc[libraries_dir]template/webdoc_plugins");
  }

  /**
   * přiřazení proměnné do Smarty, aby ji bylo možné použít v šabloně
   * \param string $name jméno proměnné ve Smarty
   * \param maxed $variable hodnota proměnné      
   */     
  function template_assign($name,$variable)
  {
    $this->assign($name,$variable);
  }

  /**
   * zruší proměnnou
   * \param string $name jméno proměnné   
   */     
  function template_clear_assign($name)
  {
    $this->clear_assign($name);
  }
  
  /**
   * vypsání šablony
   * \param string $template jméno souboru s šablonou   
   */     
  function template_display($template)
  {
    $this->display($template);
  }
}

?>
